Subject: Re: Could the DTS experts look at this?

From: David Gibson <[email-masked]>
Date: Wed, 13 Feb 2008 10:50:58 +1100

On Tue, Feb 12, 2008 at 05:41:12PM -0600, Timur Tabi wrote:
> David Gibson wrote:
> 
> > I'm not sure I'm entirely happy about storing the fragments under a
> > special node - but certainly u-boot could do that if it wants.  What
> > would certainly be ok is to store various fragments as separate blobs
> > and fold them together as necessary.  Which reminds me, I meant to
> > implement a "graft" function in libfdt.
> 
> Most likely, U-Boot would strip out the special node after
> processing it.  The idea is for the boot loader to customize the
> device tree based before sending it to the kernel.

Of course.  U-boot can use whatever representation it likes
internally, as long as it's all fixed up by the time it reaches the
kernel.  I just think using sepa`rate "device tree fragment" blobs
might be a better way of doing it.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson